#!/bin/sh

mydir=`dirname "$0"`
mydir=`cd "$mydir" && pwd`

dirpath="/tmp/movie_suppliers"
filepath="$dirpath/youku"

[ -e "$dirpath" ] || mkdir "$dirpath"

cat << EOF > "$filepath"
{
  "plugin" : "dunemdb_supplier_youku",
  "caption" : "%tr%title_supplier",
  "supported_video_types" : "video",
  "langs" : "chinese",
  "bin" : "cd $mydir && ./run.py",
  "server_managed" : true,
  "location_handling" : "skip_unmatched_publications",
  "playback_type" : "app",
  "special_category" : true,
  "special_category_caption" : "%tr%title_supplier_category",
  "special_category_icon_url" : "icons/category.png",
  "sticker_icon_url" : "icons/sticker.png",
  "logo_icon_url" : "icons/logo.png"
}
EOF
